<?php
/*
 * @version			$Id: index.php 10381 2008-06-01 03:35:53Z $
 * @package			Carteasy
 * @copyright		Copyright (C) 2005 - 2011 Wlanium
 * @license			proprietary
 * @author			Thomas Bartelt
 * Carteasy is a web shop system
 */

include_once './core/main.class.php';
include_once './core/database.class.php';
include_once './libs/phImaginator/phImaginator.class.php';
include_once './core/config.class.php';

class Newsletter_subscriber extends Main {

	public $list_table_config = array (
		'title' => 'Newsletter Abonnenten',
		'db_table' => 'newsletter_subscriber',
		'list_fields' => array(
			array(
				'db_field' => 'salutation',
				'name' => 'Anrede',
				'rewrite_function' => 'salutation_values',
				'sortable' => 1
			),
			array(
				'db_field' => 'firstname',
				'name' => 'Vorname',
				'sortable' => 1
			),
			array(
				'db_field' => 'surname',
				'name' => 'Nachname',
				'sortable' => 1
			),
			array(
				'db_field' => 'email',
				'name' => 'E-Mail',
				'sortable' => 1
			),
			array(
				'db_field' => 'state',
				'name' => 'Status',
				'rewrite_function' => 'state_text',
				'sortable' => 1
			)
		),
		'search_fields' => array('firstname', 'surname', 'email'),
		'db_id_field' => 'email',
		'db_selectable_field' => 'email',
		'edit_link' => 'index.php?admin_modul=admin_object_edit&object=Newsletter_subscriber&object_id=',
		'toolbar' => array(
			'delete' => '1',
			'new' => 'index.php?admin_modul=admin_object_edit&object=Newsletter_subscriber',
			'copy' => 0,
			'select_all' => 1,
			'edit' => 0,
			'actions' => 0,
			'filter' => 0,
			'search' => 1
		),
		'edit_title' => 'Newsletter Abonnent',
		'edit_fields' => array (
			array(
				'name' => 'Stammdaten',
				'type' => 'form_title'
			),
			array(
				'db_field' => 'salutation',
				'name' => 'Anrede',
				'values' => 'salutation_values',
				'type' => 'int'
			),
			array(
				'db_field' => 'firstname',
				'name' => 'Vorname',
				'type' => 'text'
			),
			array(
				'db_field' => 'surname',
				'name' => 'Nachname',
				'type' => 'text'
			),
			array(
				'db_field' => 'email',
				'name' => 'E-Mail',
				'type' => 'text'
			),
			array(
				'db_field' => 'state',
				'name' => 'Status',
				'values' => 'state_text',
				'type' => 'int'
			)
		),
		'edit_mandatory_fields' => array('firstname', 'surename', 'email'),
		'edit_toolbar' => array(
			'close' => 'index.php?admin_modul=admin_object_list&object=Newsletter_subscriber',
			'copy' => 0,
			'undo' => 0,
			'redo' => 0,
			'save' => 1,
			'delete' => 1
		),
	);

	public function state_text() {
		return array (
			'0' => 'nicht aktiviert',
			'1' => 'aktiv',
			'2' => 'inaktiv',
			'3' => 'gesperrt'
		);
	}

	public function salutation_values() {
		return array (
			'0' => 'Herr',
			'1' => 'Frau'
		);
	}

}

?>